/*
 * This file is a part of SCP Timer, program for usability experiments
 * Copyright (C) 2007 Martin Plicka
 *
 * SCP Timer is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * SCP Timer is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with SCP Timer. If not, see <http://www.gnu.org/licenses/>.
 */

#include <QApplication>
#include "mainwindow.h"
#include <QTextCodec>

int main(int argc, char* argv[])
{
    QApplication app(argc, argv);

    // nastavi nejvhodnejsi znakovou sadu pro konverzi s unicode na char kvuli lex. analyzatoru
    QTextCodec::setCodecForCStrings ( QTextCodec::codecForName("UTF-8") );
    QTextCodec::setCodecForLocale ( QTextCodec::codecForName("UTF-8") );

    MainWindow mw;
    mw.show();
    return app.exec();
}
