/*
 * This file is a part of SCP Timer, program for usability experiments
 * Copyright (C) 2007 Martin Plicka
 *
 * SCP Timer is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * SCP Timer is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with SCP Timer. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef TASKWINDOW_H_INCLUDED
#define TASKWINDOW_H_INCLUDED

#include <QDialog>
#include "ui_taskwindow.h"

class TaskWindow: public QDialog, public Ui::TaskWindow{

   Q_OBJECT

   public:
      TaskWindow(const QRect & desktopGeometry, QWidget * parent = NULL);

   public slots:
      /**
       * Asking when clicked to reject dialog
       */
      virtual void reject();
};


#endif // TASKWINDOW_H_INCLUDED
